JULI API export for Tomcat 7 and 8

Description

already took care of JULI for previous version but time has moved on and several Tomcats emerged after that.

contains suggestion of using tomcat-core from pax tipi which accepts JULI from Tomcat 8. I got the dependency fixed with this osgi.bnd addition

Then there are those perky {{ org.apache.juli}} support classes that tomcat-core requires. I don't know whether or not they are counted as API or Impl.

Environment

None

Activity

Show:
Grzegorz Grzybek
April 19, 2019, 12:08 PM

Fixed with not pushed yet

Grzegorz Grzybek
June 3, 2019, 2:58 PM

Fixed together with PAXLOGGING-252. pax-logging-api now exports:

Assignee

Grzegorz Grzybek

Reporter

Tuomas Kiviaho

Fix versions

Labels

None

Components

Affects versions

Priority

Major
Configure